%define fw_version 5.38

Summary:	KDE Frameworks 5 documentation generation module
Name:		kdoctools
Version:	5.38.0
Release:	2
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
Patch0:		kdoctools-5.38.0-doc5.patch
BuildRequires:	docbook-dtd45-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5archive-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)
Requires:	docbook-dtd45-xml
Requires:	docbook-style-xsl

%description
KDE Frameworks 5 documentation generation module.

KDocTools provides tools to generate documentation in various format from
DocBook files.

%files
%{_kde5_bindir}/checkXML5
%{_kde5_bindir}/meinproc5
%{_kde5_datadir}/kf5/kdoctools/
%{_kde5_mandir}/man1/checkXML5.1*
%{_kde5_mandir}/man1/meinproc5.1*
%{_kde5_mandir}/man7/kf5options.7*
%{_kde5_mandir}/man7/qt5options.7*

#----------------------------------------------------------------------------

%package i18n
Summary:	KDocTools translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDocTools translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5doctools_major 5
%define libkf5doctools %mklibname kf5doctools %{kf5doctools_major}

%package -n %{libkf5doctools}
Summary:	KDE Frameworks 5 documentation generation shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5doctools}
KDE Frameworks 5 documentation generation shared library.

%files -n %{libkf5doctools}
%{_kde5_libdir}/libKF5DocTools.so.%{kf5doctools_major}*

#----------------------------------------------------------------------------

%define devkf5doctools %mklibname kf5doctools -d

%package -n %{devkf5doctools}
Summary:	Development files for KDE Frameworks 5 documentation generation module
Group:		Development/KDE and Qt
Requires:	%{name}
Requires:	%{libkf5doctools} = %{EVRD}
Requires:	kf5archive-devel
Provides:	%{name}-devel = %{EVRD}
Provides:	xsltkde-devel = %{EVRD}
Provides:	kf5doctools-devel = %{version}

%description -n %{devkf5doctools}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5doctools}
%{_kde5_includedir}/KF5/KDocTools
%{_kde5_libdir}/cmake/KF5DocTools
%{_kde5_libdir}/libKF5DocTools.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-kde --with-man --with-html

%changelog

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-2
- (ef57c2c) Prefer help files from doc5/HTML, then fallback to doc/HTML (move patch from kio here)

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (3828a45) Update files
- (Andrey Bondrov: c9b9348) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (82407ea) Add shared library package
- (82407ea) Update files for development package
- (Andrey Bondrov: a6dfd84) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (7ae049d) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (044ee2b) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (750d9e2) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (79025e0) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (b6252f6) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (05ea554) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (b549637) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (de38e88) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (0ebcab0) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (c955688) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (063ff5c) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (9bebeba) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (02d27fb) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (1c43970) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (039e15a) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (e631aae) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (7ccb889) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (fc0738c) New version 5.15.0

* Mon Sep 14 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-3
- (7554e83) MassBuild#822: Increase release tag

* Mon Sep 14 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-2
- (14f2eed) MassBuild#821: Increase release tag

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (7ea0448) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (58011e5) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (c911e6d) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (4dae49a) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (9eea4ea) New version 5.10.0


